# Interface ProjectDependency

All Superinterfaces:
  `Buildable, Dependency, ModuleDependency, SelfResolvingDependency`

public interface ProjectDependency extends ModuleDependency, SelfResolvingDependency

A `ProjectDependency` is a `Dependency` on another project in the current project hierarchy.

## Field Summary

### Fields inherited from interface Dependency

`ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

## Method Summary

Modifier and Type
Method
Description
`ProjectDependency`
`copy()`
Creates and returns a new dependency with the property values of this one.
`Project`
`getDependencyProject()`
Returns the project associated with this project dependency.

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface Dependency

`contentEquals, getGroup, getName, getVersion`

### Methods inherited from interface ModuleDependency

`addArtifact, artifact, artifact, exclude, getArtifacts, getExcludeRules, getTargetConfiguration, isTransitive, setTargetConfiguration, setTransitive`

### Methods inherited from interface SelfResolvingDependency

`resolve, resolve`

## Method Details

### getDependencyProject

Project getDependencyProject()
Returns the project associated with this project dependency.

### copy

ProjectDependency copy()
Creates and returns a new dependency with the property values of this one.

Specified by:
  `copy` in interface `Dependency`
Specified by:
  `copy` in interface `ModuleDependency`
Returns:
  The copy. Never returns null.